function freqplot_ConSet
site = 'PA';
%%%%%%%%%%%%%%%%
%%%Scenario 2%%%
%%%%%%%%%%%%%%%%
%Response:   
%Current PM2.5 from site4
%Predictors: 
%Current & past PM10  form site4,
%Current & past PM2.5 from all the other sites.

fname = strcat('./NIWAResults/',site, 'results/',site, '_ConSet_freqpred.mat');
load(fname);

if strcmp(site, 'PA')     == 1
    othersite = ["PE","TA","WH"];
elseif strcmp(site, 'WH') == 1
    othersite = ["PA","PE","TA"];
else
    fprintf('ERROR: only can be applied to site PA and WH');
    return;
end

dname = strings(68);
for ii = 1:11
    dname(ii) = strcat('PM_{10}-', site, '-', 'day', num2str(ii-1)); 
    dname(ii+17) = strcat('PM_{2.5}-', othersite(1), '-', 'day', num2str(ii-1));
    dname(ii+34) = strcat('PM_{2.5}-', othersite(2), '-', 'day', num2str(ii-1));
    dname(ii+51) = strcat('PM_{2.5}-', othersite(3), '-', 'day', num2str(ii-1));
end

for ii=12:14
    dname(ii) = strcat('PM_{10}-', site, '-', 'day', num2str(ii+170)); 
    dname(ii+17) = strcat('PM_{2.5}-', othersite(1), '-', 'day', num2str(ii+170));
    dname(ii+34) = strcat('PM_{2.5}-', othersite(2), '-', 'day', num2str(ii+170));
    dname(ii+51) = strcat('PM_{2.5}-', othersite(3), '-', 'day', num2str(ii+170));
end

for ii=15:17
    dname(ii) = strcat('PM_{10}-', site, '-', 'day', num2str(ii+348)); 
    dname(ii+17) = strcat('PM_{2.5}-', othersite(1), '-', 'day', num2str(ii+348));
    dname(ii+34) = strcat('PM_{2.5}-', othersite(2), '-', 'day', num2str(ii+348));
    dname(ii+51) = strcat('PM_{2.5}-', othersite(3), '-', 'day', num2str(ii+348));
end

for ind = 1:23
    figure(ind);
    bar(freq_vec(:,ind));
    xlim([0 69])
    ylim([0 101])
    %ylabel('Count')
    xlabel('predictor')
    legend('ConSet');
    Labels = {dname(1), dname(11), dname(13), dname(16), dname(18), dname(28), dname(30), dname(33),...
             dname(35), dname(45), dname(47), dname(50), dname(52), dname(62), dname(64), dname(67)};
   % set(gca, 'XTick', [1 11 13 16 18 28 30 33 35 45 47 50 52 62 64 67], 'XTickLabel', Labels, 'XTickLabelRotation', 45,'FontSize',8); 
end
end