function pred_sp(full_con)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%site = 'TA','PE', 'WH', 'PA'
%it controls the scenario FullSet or ConSet 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
site = 'PA';

fname = strcat('./NIWAResults/', site, 'results/', site, '_', full_con,'_predictors.mat');
load(fname); 
predictors = flipud(predictorsre);

plot(log(predictors(:,1)));
hold on
plot(log(predictors(:,7)));
plot(log(predictors(:,11)));
plot(log(predictors(:,13)));
plot(log(predictors(:,23)));
hold off
xlim([0 105]);
legend('AIC_C', 'EBIC^\circ', 'ESC_2', 'ESC_2^*','CV','Location','bestoutside')
ylabel('No. of predictors (log-scale)');
xlabel('Starting points');
xticks([1 20 40 60 80 100]);
xticklabels({'30/04/2008','29/09/2008', '08/03/2009', '15/08/2009', '22/01/2010', '01/07/2010'}) ;
xtickangle(45);
end
