function score_plots_n_june14(n)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Input:
%n sample size (20,100,10000)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
vec_om = [0 0.75];                  
vec_sigma = [sqrt(8) sqrt(0.2)]; 
overalln  = zeros(22,1);
sigman  = zeros(22,2);
omegan  = zeros(22,2);
casen  = zeros(22,3);


for model = 1:4,
    
    for Case = 1:3,
        fname = strcat('./SimulationResults/Results_n_',num2str(n),'/Model_',num2str(model),'/Case_',num2str(Case),'/MISE.mat');
        load(fname);
        for ind_om = 1:length(vec_om),
            
            for ind_sig = 1:length(vec_sigma),
                [mi,~] = min(MISE(ind_om,ind_sig,1:22));
                mm = mi + 5/100*mi; %plus 5% of the minimum
                for ind=1:22,
                    if MISE(ind_om,ind_sig,ind) == mi,                            
                       overalln (ind) = overalln (ind) + 1;
                       omegan (ind,ind_om) = omegan (ind,ind_om) + 1;
                       sigman (ind,ind_sig) = sigman (ind,ind_sig) + 1;
                       casen (ind,Case) = casen (ind, Case) + 1; 
                    elseif MISE(ind_om,ind_sig,ind) <= mm,
                        overalln (ind) = overalln (ind) + 0.5;
                        omegan (ind,ind_om) = omegan (ind,ind_om) + 0.5;
                        sigman (ind,ind_sig) = sigman (ind,ind_sig) + 0.5;
                        casen (ind, Case) = casen (ind, Case) + 0.5;
                    else
                        overalln (ind) = overalln (ind);
                        omegan (ind,ind_om) = omegan (ind,ind_om);
                        sigman (ind,ind_sig) = sigman (ind,ind_sig);
                        casen (ind, Case) = casen (ind, Case);
                    end

                end %ind
            end %sigma
            
        end %omega
    end %Case
    
end %model






overalln = overalln/48;
sigman = sigman/24;
omegan = omegan/24;
casen  = casen/16;
fname2 = strcat('./SimulationResults/Results_n_', num2str(n),'/scoren',num2str(n),'.mat');             
        save(fname2, 'overalln','sigman','omegan', 'casen');




end



