function gen_table_iter


fnamea = strcat('./NIWAResults/PAresults/PA_FullSet_iterations.mat');
load(fnamea);
quan_full = transpose(quantile(iterationsre,[0.025 0.50 0.975],1));

fnameb = strcat('./NIWAResults/PAresults/PA_ConSet_iterations.mat');
load(fnameb);
quan_con = transpose(quantile(iterationsre,[0.025 0.50 0.975],1));
quan = [quan_full, quan_con];



quantiles = {'0.025', '0.50', '0.975','0.025', '0.50', '0.975'};

criteria = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC$_1^*$', 'ESC$_2^*$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG$_1$', 'MMLG$_2$', 'CV'};

fnameM =strcat('PA_iter_num.tex');
fid = fopen(fnameM,'w');
fprintf(fid, '\\begin{tabular}[t!]{lcccccc} \n');
fprintf(fid,'\\hline \n & \\multicolumn{3}{c}{FullSet}  & \\multicolumn{3}{c}{ConSet} \\\\ \n \\hline \n');

fprintf(fid, 'Quantiles  &');

for jj = 1: size(quan,2)
    fprintf(fid, char(quantiles(jj)));
    if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
    end

end
fprintf(fid, '\\hline \n');


for ii = 1:length(criteria)
    fprintf(fid, char(criteria(ii)));
    
     fprintf(fid, '&');

for jj = 1: length(quantiles)
    
    fprintf(fid, '%5.1f', quan(ii,jj) );
if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
end
end    %%jj    
   
end    %%ii
fclose(fid);
fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Summary table for iteration steps } \n');
fclose(fid);
end