function iter_num(site, full_con)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%site = 'TA','PE', 'WH', 'PA'   
%full_con = 'FullSet', 'ConSet'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iterations = zeros(100,23);

for time = 1:100
    fname = strcat('./NIWAResults/', site,'results/',full_con,'/Time_',num2str(time), '.mat');
    load(fname); 
    for ind = 1:size(ITC,1)
        [~,w] = min(ITC(ind,:));
        iterations(time,ind) = w;
    end
     iterations(time,23) =cvstep;
end


iterationsre(:,1:3) = iterations(:,12:14); 
iterationsre(:,4:5) = iterations(:,9:10);
iterationsre(:,6) = iterations(:,22);
iterationsre(:,7) = iterations(:,11);
iterationsre(:,8:11) = iterations(:,1:4);
iterationsre(:,12:13) = iterations(:,18:19);
iterationsre(:,14:17) = iterations(:,5:8);
iterationsre(:,18:19) = iterations(:,20:21);
iterationsre(:,20:22) = iterations(:,15:17);
iterationsre(:,23) = iterations(:,23);

fnamea = strcat('./NIWAResults/',site, 'results/', site, '_', full_con, '_iterations.mat');
save(fnamea, 'iterationsre');


criteria = {'AIC$_C$', 'KIC', 'KICC', 'BIC', 'EBIC', 'EBIC$^*$', 'EBIC$^o$', 'SC$_1$', 'SC$_2$', 'ESC$_1$', 'ESC$_2$',...
    'ESC$_1^*$', 'ESC$_2^*$', 'gMDL$_1$', 'gMDL$_2$',  'EgMDL$_1$', 'EgMDL$_2$', 'EgMDL$_1^*$', 'EgMDL$_2^*$', 'MMLU', 'MMLG$_1$', 'MMLG$_2$', 'CV'};


quan = quantile(iterationsre,[0.025 0.25 0.50 0.75 0.975],1);
quantiles = {'0.025', '0.25', '0.50', '0.75', '0.975'};
fnameM =strcat(site, '_', full_con, '_iter_num.tex');
fid = fopen(fnameM,'w');
fprintf(fid, '\\begin{tabular}[t!]{l|ccccc} \n');
fprintf(fid, '\\hline \n');
fprintf(fid, 'Quantiles  &');
for jj = 1:length(quantiles)
fprintf(fid, char(quantiles(jj)));
if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
     end
end
fprintf(fid, '\\hline \n');

for ii = 1:length(criteria)
    fprintf(fid, char(criteria(ii)));
    
     fprintf(fid, '&');

for jj = 1: length(quantiles)
    
    fprintf(fid, '%5.1f', quan(jj,ii) );
if jj==length(quantiles)
        fprintf(fid, ' \\\\ \n');
     else
        fprintf(fid, ' & ');
end 
end   %%jj     
   
end    %%ii
fclose(fid);
fid = fopen(fnameM,'a');
fprintf(fid, '\\hline \n');

fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\caption{Summary table for iteration steps } \n');
fclose(fid);
end
    
    
    
    





