function [cv,cvstep] = CV( y, X, mub, nu)
n = length(y);
cv = zeros(mub,1);
SEL = zeros(mub,1); %square error loss
SEL_vec = zeros(mub,25);
subset = zeros(n-1,25);



for i = 1:25
    subset(:,i) = datasample(1:n, n-1, 'Replace',false);

    [Matbeta, vec_err_n, vec_df, ITC, vec_combr] = mpa_june14( y(subset(:,i),:), X(subset(:,i),:), mub, nu);
    X_prime = X(setdiff((1:n), subset(:,i)),:);
    y_prime = y(setdiff((1:n), subset(:,i)),:);
    for j = 1:mub
        SEL(j) = (y_prime - X_prime*Matbeta(:,j))^2;
    end
    SEL_vec(:,i) = SEL;
end
cv = mean(SEL_vec,2);
[~,cvstep] = min(cv); 
end



    
    
    
    
